# ai_instance.hpp File Reference

The AIInstance tracks an AI. More...

Go to the source code of this file.

## Data Structures
class | AI_VMSuspend
| A throw-class that is given when the VM wants to suspend. More...
class | AI_FatalError
| A throw-class that is given when the AI made a fatal error. More...
class | AIInstance
## Typedefs
typedef void( | AISuspendCallbackProc )(class AIInstance *instance)
| The callback function when an AI suspends.

## Detailed Description

The AIInstance tracks an AI.

Definition in file ai_instance.hpp.